Skip to main content
POST
/
v1
/
customers
/
{id}
/
payment-methods
Create payment method
curl --request POST \
  --url https://api.hyperline.co/v1/customers/{id}/payment-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_payment_method_id": "<string>",
  "provider_id": "<string>"
}
'
import requests

url = "https://api.hyperline.co/v1/customers/{id}/payment-methods"

payload = {
"provider_payment_method_id": "<string>",
"provider_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider_payment_method_id: '<string>', provider_id: '<string>'})
};

fetch('https://api.hyperline.co/v1/customers/{id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "pm_1xMpj5bwRqN7LM",
  "status": "active",
  "type": "card",
  "last_4_digits": 2718,
  "expiration_date": "2027-11",
  "brand": "<string>",
  "integration": {
    "entity_id": "123456789",
    "provider_name": "stripe",
    "provider_account_id": "acc_1234567890"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
provider_name
enum<string>
required

Provider name.

Available options:
airwallex,
gocardless,
mollie,
stripe
provider_payment_method_id
string
required

ID of the payment method on the provider's side.

provider_id
string

Provider ID. Required if multiple instances of the same provider are connected in Hyperline.

Response

201 - application/json
id
string
required

Payment method ID.

Example:

"pm_1xMpj5bwRqN7LM"

status
enum<string>
required

Payment method status.

  • active: The payment method is ready to be used.
  • pending: The payment method is pending activation or being validated.
Available options:
active,
pending,
expired,
errored
Example:

"active"

type
enum<string>
required

Payment method type.

  • card: Credit or debit card
  • apple_pay: Apple Pay
  • google_pay: Google Pay
  • direct_debit_sepa: SEPA Direct Debit
  • direct_debit_ach: ACH Direct Debit
  • direct_debit_bacs: Bacs Direct Debit
  • stripe_link: Stripe Link
Available options:
card,
apple_pay,
google_pay
Example:

"card"

last_4_digits
number | null
required

Last four digits of the card.

Example:

2718

expiration_date
string | null
required

Expiration date of the card using YYYY-MM format.

Example:

"2027-11"

brand
string | null
required

Brand of the card.

Examples:

"visa"

"mastercard"

"amex"

integration
object | null
required

Reference to the entity in an external provider.

Example:
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}